package eu.eudat.commonmodels.models.descriptiotemplate;

import eu.eudat.commonmodels.enums.FieldValidationType;
import eu.eudat.commonmodels.models.descriptiotemplate.fielddata.BaseFieldDataModel;

import java.util.List;

public class FieldModel {

	private String id;

	private Integer ordinal;

	private String numbering;

	private List<String> schematics;

	private String defaultValue;

	private List<FieldValidationType> validations;

	private Boolean includeInExport;

	private BaseFieldDataModel data;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getOrdinal() {
		return ordinal;
	}

	public void setOrdinal(Integer ordinal) {
		this.ordinal = ordinal;
	}

	public String getNumbering() {
		return numbering;
	}

	public void setNumbering(String numbering) {
		this.numbering = numbering;
	}

	public List<String> getSchematics() {
		return schematics;
	}

	public void setSchematics(List<String> schematics) {
		this.schematics = schematics;
	}

	public String getDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

	public List<FieldValidationType> getValidations() {
		return validations;
	}

	public void setValidations(List<FieldValidationType> validations) {
		this.validations = validations;
	}

	public Boolean getIncludeInExport() {
		return includeInExport;
	}

	public void setIncludeInExport(Boolean includeInExport) {
		this.includeInExport = includeInExport;
	}

	public BaseFieldDataModel getData() {
		return data;
	}

	public void setData(BaseFieldDataModel data) {
		this.data = data;
	}
}
